Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/RW_Process_Mutex.h File Reference

`#include "ace/File_Lock.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/RW_Process_Mutex.inl"`

Include dependency graph for RW_Process_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_RW_Process_Mutex
| Wrapper for readers/writer locks that exist across processes. More...

## Detailed Description

Id:
  RW_Process_Mutex.h,v 4.5 2003/11/01 11:15:16 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>